# check target
case "$1" in
        target1)
                target="gpio4"
                pin="4"
                ;;
        target2)
                target="gpio17"
                pin="17"
                ;;
        target3)
                target="gpio27"
                pin="27"
                ;;
        target4)
                target="gpio22"
                pin="22"
                ;;
        *)
                echo "  target_power <target> on"
                echo "  target_power <target> off"
                echo "  target_power <target> reboot <delay in sec>"
                echo "          --> delay default = 10 sec"
                ;;
esac

# create target pin
if [ ! -e /sys/class/gpio/$target ]
then
        echo "create port"
        echo $pin > /sys/class/gpio/export
        echo "out" > /sys/class/gpio/$target/direction
fi

# turn on target
if [ "$2" = "on" ]
then
        echo "ON"
        echo "0" > /sys/class/gpio/$target/value
fi

# turn off target
if [ "$2" = "off" ]
then
        echo "OFF"
        echo "1" > /sys/class/gpio/$target/value
fi

# reboot target
if [ "$2" = "reboot" ]
then

        delay=10

        if [  $3 > 0 ]
        then
                delay=$3
        fi

        echo "1" > /sys/class/gpio/$target/value
        sleep $delay
        echo "0" > /sys/class/gpio/$target/value
fi

